import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

const store = new Vuex.Store({
	state: {
		hasLogin: false,  //代表用户授权头像等信息
		sessionId:'',
		successlogion: false, // 同意授权手机号 成功登录
		getcode: {}, // code 后获取的token session_key等值
		//showModal: false, //登录授权弹窗
		userInfo: {},
		beginload: false,
	},
	mutations: {
		login(state, provider) {
			state.userInfo = provider;
			uni.setStorage({//缓存用户登陆信息
			    key: 'userInfo',  
			    data: provider  
			}) 
			console.log(state.userInfo);
		},
		beginload(state, provider) {
			state.beginload = provider
			uni.setStorage({//缓存用户登陆信息
			    key: 'beginload',  
			    data: provider  
			}) 
		},
		setcode(state, provider) {
			state.getcode = provider;
			uni.setStorage({//缓存用户登陆信息
			    key: 'getcode',  
			    data: provider  
			}) 
			console.log(state.getcode);
		},
		setOpenid(state, provider) {
			state.sessionId = provider;
			uni.setStorage({//缓存用户登陆状态
			    key: 'sessionId',  
			    data: provider  
			}) 
			
		},
		showDialog(state, status) {
			state.hasLogin = status;
			uni.setStorage({
			    key: 'hasLogin',  
			    data: status  
			}) 
			console.log(state.hasLogin);
		},
		islogionsuccess(state,provider) {
			state.successlogion = provider;
			uni.setStorage({
			    key: 'successlogion',  
			    data: provider  
			}) 
			console.log(state.successlogion);
		},
		logout(state) {
			state.hasLogin = false;
			state.userInfo = {};
			state.getcode = {};
			state.sessionId = '';
			uni.removeStorage({  
		        key: 'userInfo'  
		    })
			uni.removeStorage({
			    key: 'getcode'  
			})
			uni.removeStorage({
			    key: 'sessionId'  
			})
		}
	},
	// actions: {
	// 	// lazy loading openid
	// 	getUserOpenId: async function ({
	// 		commit,
	// 		state
	// 	}) {
	// 		return await new Promise((resolve, reject) => {
	// 			if (state.openid) {
	// 				resolve(state.openid)
	// 			} else {
	// 				uni.login({
	// 					success: (data) => {
	// 						commit('login')
	// 						setTimeout(function () { //模拟异步请求服务器获取 openid
	// 							const openid = '123456789'
	// 							commit('setOpenid', openid)
	// 							resolve(openid)
	// 						}, 1000)
	// 					},
	// 					fail: (err) => {
	// 						console.log('uni.login 接口调用失败，将无法正常使用开放接口等服务', err)
	// 						reject(err)
	// 					}
	// 				})
	// 			}
	// 		})
	// 	}
	// }
})

export default store

